/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class NexusErrorResponse extends NexusResponse 
implements java.io.Serializable
{


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field errors
     */
    private java.util.List errors;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addError
     * 
     * @param nexusError
     */
    public void addError(NexusError nexusError)
    {
        if ( !(nexusError instanceof NexusError) )
        {
            throw new ClassCastException( "NexusErrorResponse.addErrors(nexusError) parameter must be instanceof " + NexusError.class.getName() );
        }
        getErrors().add( nexusError );
    } //-- void addError(NexusError) 

    /**
     * Method getErrors
     */
    public java.util.List getErrors()
    {
        if ( this.errors == null )
        {
            this.errors = new java.util.ArrayList();
        }
        
        return this.errors;
    } //-- java.util.List getErrors() 

    /**
     * Method removeError
     * 
     * @param nexusError
     */
    public void removeError(NexusError nexusError)
    {
        if ( !(nexusError instanceof NexusError) )
        {
            throw new ClassCastException( "NexusErrorResponse.removeErrors(nexusError) parameter must be instanceof " + NexusError.class.getName() );
        }
        getErrors().remove( nexusError );
    } //-- void removeError(NexusError) 

    /**
     * Set null
     * 
     * @param errors
     */
    public void setErrors(java.util.List errors)
    {
        this.errors = errors;
    } //-- void setErrors(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
