/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryGroupResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private String id;

    /**
     * Field name
     */
    private String name;

    /**
     * Field repositories
     */
    private java.util.List repositories;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addRepository
     * 
     * @param repositoryGroupMemberRepository
     */
    public void addRepository(RepositoryGroupMemberRepository repositoryGroupMemberRepository)
    {
        if ( !(repositoryGroupMemberRepository instanceof RepositoryGroupMemberRepository) )
        {
            throw new ClassCastException( "RepositoryGroupResource.addRepositories(repositoryGroupMemberRepository) parameter must be instanceof " + RepositoryGroupMemberRepository.class.getName() );
        }
        getRepositories().add( repositoryGroupMemberRepository );
    } //-- void addRepository(RepositoryGroupMemberRepository) 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Method getRepositories
     */
    public java.util.List getRepositories()
    {
        if ( this.repositories == null )
        {
            this.repositories = new java.util.ArrayList();
        }
        
        return this.repositories;
    } //-- java.util.List getRepositories() 

    /**
     * Method removeRepository
     * 
     * @param repositoryGroupMemberRepository
     */
    public void removeRepository(RepositoryGroupMemberRepository repositoryGroupMemberRepository)
    {
        if ( !(repositoryGroupMemberRepository instanceof RepositoryGroupMemberRepository) )
        {
            throw new ClassCastException( "RepositoryGroupResource.removeRepositories(repositoryGroupMemberRepository) parameter must be instanceof " + RepositoryGroupMemberRepository.class.getName() );
        }
        getRepositories().remove( repositoryGroupMemberRepository );
    } //-- void removeRepository(RepositoryGroupMemberRepository) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param repositories
     */
    public void setRepositories(java.util.List repositories)
    {
        this.repositories = repositories;
    } //-- void setRepositories(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
