/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class SearchResponse extends NexusResponse 
implements java.io.Serializable
{


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field totalCount
     */
    private int totalCount = 0;

    /**
     * Field data
     */
    private java.util.List data;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addData
     * 
     * @param nexusArtifact
     */
    public void addData(NexusArtifact nexusArtifact)
    {
        if ( !(nexusArtifact instanceof NexusArtifact) )
        {
            throw new ClassCastException( "SearchResponse.addData(nexusArtifact) parameter must be instanceof " + NexusArtifact.class.getName() );
        }
        getData().add( nexusArtifact );
    } //-- void addData(NexusArtifact) 

    /**
     * Method getData
     */
    public java.util.List getData()
    {
        if ( this.data == null )
        {
            this.data = new java.util.ArrayList();
        }
        
        return this.data;
    } //-- java.util.List getData() 

    /**
     * Get null
     */
    public int getTotalCount()
    {
        return this.totalCount;
    } //-- int getTotalCount() 

    /**
     * Method removeData
     * 
     * @param nexusArtifact
     */
    public void removeData(NexusArtifact nexusArtifact)
    {
        if ( !(nexusArtifact instanceof NexusArtifact) )
        {
            throw new ClassCastException( "SearchResponse.removeData(nexusArtifact) parameter must be instanceof " + NexusArtifact.class.getName() );
        }
        getData().remove( nexusArtifact );
    } //-- void removeData(NexusArtifact) 

    /**
     * Set null
     * 
     * @param data
     */
    public void setData(java.util.List data)
    {
        this.data = data;
    } //-- void setData(java.util.List) 

    /**
     * Set null
     * 
     * @param totalCount
     */
    public void setTotalCount(int totalCount)
    {
        this.totalCount = totalCount;
    } //-- void setTotalCount(int) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
