/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryRouteResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private String id;

    /**
     * Field ruleType
     */
    private String ruleType;

    /**
     * Field pattern
     */
    private String pattern;

    /**
     * Field repositories
     */
    private java.util.List repositories;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addRepository
     * 
     * @param repositoryRouteMemberRepository
     */
    public void addRepository(RepositoryRouteMemberRepository repositoryRouteMemberRepository)
    {
        if ( !(repositoryRouteMemberRepository instanceof RepositoryRouteMemberRepository) )
        {
            throw new ClassCastException( "RepositoryRouteResource.addRepositories(repositoryRouteMemberRepository) parameter must be instanceof " + RepositoryRouteMemberRepository.class.getName() );
        }
        getRepositories().add( repositoryRouteMemberRepository );
    } //-- void addRepository(RepositoryRouteMemberRepository) 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public String getPattern()
    {
        return this.pattern;
    } //-- String getPattern() 

    /**
     * Method getRepositories
     */
    public java.util.List getRepositories()
    {
        if ( this.repositories == null )
        {
            this.repositories = new java.util.ArrayList();
        }
        
        return this.repositories;
    } //-- java.util.List getRepositories() 

    /**
     * Get null
     */
    public String getRuleType()
    {
        return this.ruleType;
    } //-- String getRuleType() 

    /**
     * Method removeRepository
     * 
     * @param repositoryRouteMemberRepository
     */
    public void removeRepository(RepositoryRouteMemberRepository repositoryRouteMemberRepository)
    {
        if ( !(repositoryRouteMemberRepository instanceof RepositoryRouteMemberRepository) )
        {
            throw new ClassCastException( "RepositoryRouteResource.removeRepositories(repositoryRouteMemberRepository) parameter must be instanceof " + RepositoryRouteMemberRepository.class.getName() );
        }
        getRepositories().remove( repositoryRouteMemberRepository );
    } //-- void removeRepository(RepositoryRouteMemberRepository) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param pattern
     */
    public void setPattern(String pattern)
    {
        this.pattern = pattern;
    } //-- void setPattern(String) 

    /**
     * Set null
     * 
     * @param repositories
     */
    public void setRepositories(java.util.List repositories)
    {
        this.repositories = repositories;
    } //-- void setRepositories(java.util.List) 

    /**
     * Set null
     * 
     * @param ruleType
     */
    public void setRuleType(String ruleType)
    {
        this.ruleType = ruleType;
    } //-- void setRuleType(String) 


    public static final String EXCLUSION_RULE_TYPE = "exclusive";

    public static final String INCLUSION_RULE_TYPE = "inclusive";

    public static final String BLOCKING_RULE_TYPE = "blocking";

    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
